/integrations/providers/{providerId}/register-instanceintegrationsRegister a self-hosted OAuth instance (Mastodon)
Only valid for oauth_instance providers (400 otherwise). 404 for an unknown provider. The instance is registered under the target ecosystem `ecosystemId`; the caller must manage it (404/403 when unknown / not the caller's).
Auth: bearerAuth — calls run as the authenticated user.
- providerIdpathstring
application/json · optional
- ecosystemIdstring
Target ecosystem id (the caller must manage it)
- instanceUrlstring
- redirectUristring
- serviceTypeoptionalstring
{
"ecosystemId": "string",
"instanceUrl": "string",
"redirectUri": "string",
"serviceType": "string"
}Instance registration → authorize URL
- statestring
- authorizeUrlstring
- clientIdstring
{
"state": "string",
"authorizeUrl": "string",
"clientId": "string"
}Problem Details (RFC 9457)
- typeoptionalstring
URI identifying the problem type; 'about:blank' when unspecified
- titlestring
Short, human-readable summary of the problem type
- statusinteger
HTTP status code, duplicated in the body
- detailoptionalstring
Explanation specific to this occurrence
- instanceoptionalstring
URI reference for this occurrence (the request path)
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}Problem Details (RFC 9457)
- typeoptionalstring
URI identifying the problem type; 'about:blank' when unspecified
- titlestring
Short, human-readable summary of the problem type
- statusinteger
HTTP status code, duplicated in the body
- detailoptionalstring
Explanation specific to this occurrence
- instanceoptionalstring
URI reference for this occurrence (the request path)
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}Problem Details (RFC 9457)
- typeoptionalstring
URI identifying the problem type; 'about:blank' when unspecified
- titlestring
Short, human-readable summary of the problem type
- statusinteger
HTTP status code, duplicated in the body
- detailoptionalstring
Explanation specific to this occurrence
- instanceoptionalstring
URI reference for this occurrence (the request path)
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}Problem Details (RFC 9457)
- typeoptionalstring
URI identifying the problem type; 'about:blank' when unspecified
- titlestring
Short, human-readable summary of the problem type
- statusinteger
HTTP status code, duplicated in the body
- detailoptionalstring
Explanation specific to this occurrence
- instanceoptionalstring
URI reference for this occurrence (the request path)
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}curl -X POST "https://api.agenticdeveloperhub.com/integrations/providers/{providerId}/register-instance" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"instanceUrl": "string",
"redirectUri": "string",
"serviceType": "string"
}'const res = await fetch("https://api.agenticdeveloperhub.com/integrations/providers/{providerId}/register-instance", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"instanceUrl\": \"string\",\n \"redirectUri\": \"string\",\n \"serviceType\": \"string\"\n}",
});
const data = await res.json();